#ifndef CONFIG_H_IN
#define CONFIG_H_IN

/* Внутренний файл параметров сборки, включающий определения, которые
 * не испольются в публичных заголовках ltrapi */

#include "ltrapi_config.h"

/* проверка наличия в системе нужных функций и файлов */
#cmakedefine HAVE_STRNLEN 1
#cmakedefine HAVE_STRING_H 1
#cmakedefine HAVE_CLOCK_MONOTONIC 1
#cmakedefine HAVE_SOCKLEN_T 1
#cmakedefine HAVE_MSG_NOSIGNAL      1
#cmakedefine HAVE_SYS_TIMERS_H  1

/* использовать WSA сокеты и overlapped IO (windows-only) */
#cmakedefine LTRAPI_USE_WSA_SOCKS   1

#ifndef HAVE_STRNLEN
    #include <string.h>
    size_t strnlen(const char *s, size_t maxlen);
#endif


#endif // CONFIG_H_IN
